com.saxonica.functions.extfn

## Class SubsequenceTestFn.SubsequenceAfterFn

- java.lang.Object
- - net.sf.saxon.lib.ExtensionFunctionDefinition
  - - com.saxonica.functions.extfn.SubsequenceTestFn
    - - com.saxonica.functions.extfn.SubsequenceTestFn.SubsequenceAfterFn

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    SubsequenceTestFn

      public static class SubsequenceTestFn.SubsequenceAfterFn
      extends SubsequenceTestFn

  Implement saxon:subsequence-after
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.saxonica.functions.extfn.SubsequenceTestFn

      `SubsequenceTestFn.SubsequenceAfterFn, SubsequenceTestFn.SubsequenceBeforeFn, SubsequenceTestFn.SubsequenceFromFn, SubsequenceTestFn.SubsequenceUntilFn`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubsequenceTestFn.SubsequenceAfterFn()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SequenceIterator` | `compute(SequenceIterator input, FunctionItem test, XPathContext context)` The function that does the work, which must be implemented in subclasses
    `StructuredQName` | `getFunctionQName()` Get the name of the function, as a QName.

    - ### Methods inherited from class com.saxonica.functions.extfn.SubsequenceTestFn

      `getArgumentTypes, getMaximumNumberOfArguments, getMinimumNumberOfArguments, getResultType, makeCallExpression, trustResultType`

    - ### Methods inherited from class net.sf.saxon.lib.ExtensionFunctionDefinition

      `dependsOnFocus, hasSideEffects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubsequenceTestFn.SubsequenceAfterFn

          public SubsequenceTestFn.SubsequenceAfterFn()

  - ### Method Detail

    - #### getFunctionQName

          public StructuredQName getFunctionQName()

      Description copied from class: `ExtensionFunctionDefinition`
      Get the name of the function, as a QName.

      This method must be implemented in all subclasses

      Specified by:
        `getFunctionQName` in class `ExtensionFunctionDefinition`
      Returns:
        the function name

    - #### compute

          protected SequenceIterator compute(SequenceIterator input,
                                 FunctionItem test,
                                 XPathContext context)

      The function that does the work, which must be implemented in subclasses
      Specified by:
        `compute` in class `SubsequenceTestFn`
      Parameters:
        `input` - the input sequence
        `test` - the function to be applied to the items in the sequence, which takes an item in the sequence as input and produces a boolean as its result
        `context` - the XPath dynamic context
      Returns:
        the result

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.